import { html as c } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, h = (i, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, o) : r, s = i.length - 1, a; s >= 0; s--)
    (a = i[s]) && (e = (t ? a(r, o, e) : a(e)) || e);
  return t && e && f(r, o, e), e;
};
let p = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--appOrderLarge", this.class = "c-pieIcon c-pieIcon--appOrderLarge", this.name = "IconAppOrderLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--appOrderLarge"><path d="M9 4.625h3.22l.56 1.418h4.69l.56-1.418h3.22a.875.875 0 0 1 .875.875v1.75h1.75V5.5a2.625 2.625 0 0 0-2.625-2.625H9A2.625 2.625 0 0 0 6.375 5.5v21A2.625 2.625 0 0 0 9 29.125h1.75v-1.75H9a.875.875 0 0 1-.875-.875v-21A.875.875 0 0 1 9 4.625"></path><path d="M18.205 21.25h4.34l1.33-1.251v-3.124h-1.75V19.5h-3.5v-2.625h-1.75v3.124z"></path><path d="M27.576 13.375h-3.701V10.75L22.204 9h-3.658l-1.671 1.75v2.625h-3.701L12.56 26.85a2.18 2.18 0 0 0 2.17 2.275H26.02a2.18 2.18 0 0 0 2.17-2.275zm-8.951-2.625h3.5v2.625h-3.5zm7.7 16.494a.42.42 0 0 1-.306.131H14.73a.42.42 0 0 1-.42-.446l.534-11.804h11.06l.534 11.804a.45.45 0 0 1-.114.315"></path></svg>`;
  }
};
h([
  l({ type: String, reflect: !0 })
], p.prototype, "size", 2);
h([
  l({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = h([
  v("icon-app-order-large")
], p);
export {
  p as IconAppOrderLarge
};
